package p10_klasy.v3;

class ProgramSklepowy {

	public static void main(String[] args) {
		Osoba ala = new Osoba("Ala", "Kowalska", 30);
		Osoba ola = new Osoba("Ola", "Malinowska", 13);

		// Gdy metoda sprzedajPiwo nie jest static, to trzeba utworzyć obiekt klasy Sklep
		// i metodę wywołać na tym obiekcie.
		// Jaki w tym sens?
		// Taki sens, że teraz można mieć wiele sklepów, a każdy z nich może przechowywać swoje dane.
		Sklep zabka = new Sklep("Żabka", 7);
		Sklep biedronka = new Sklep("Biedronka", 5);
		
		zabka.sprzedajPiwo(ala, 2);
		zabka.sprzedajPiwo(ola, 3);
		
		biedronka.sprzedajPiwo(ala, 5);
		biedronka.sprzedajPiwo(ala, 1);
		biedronka.sprzedajPiwo(ola, 1);
		
		System.out.println("Utarg Żabki: " + zabka.utarg);
		System.out.println("Utarg Biedry: " + biedronka.utarg);
		
	}

}
